@sapUiPanelBorderRadius: 0;

.sapUiPanel {
	display: inline-block;
	position: relative;
	vertical-align: top;
	box-sizing: border-box;
	border: 1px solid @sapUiMediumBorder;
	border-radius: @sapUiPanelBorderRadius @sapUiPanelBorderRadius 0 0;
}

.sapUiPanel:focus {
	outline: 1px dotted @sapUiFocus;
}

.sapUiPanel.sapUiPanelColl,
.sapUiPanelColl > .sapUiPanelHdr  {
	border-radius: @sapUiPanelBorderRadius;
}

.sapUiPanelHdr {
	border-radius: @sapUiPanelBorderRadius @sapUiPanelBorderRadius 0 0;
	display: -moz-box;
	display: -ms-box;
	display: -webkit-box;
	display: box;
	-moz-box-orient: horizontal;
	-moz-box-align: center;
	-ms-box-orient: horizontal;
	-ms-box-align: center;
	-webkit-box-orient: horizontal;
	-webkit-box-align: center;
	box-orient: horizontal;
	box-align: center;
	box-sizing: border-box;
	background-color: @sapUiExtraLightBG;
	white-space: nowrap;
	width: 100%; /* the minimum width is set through JS calculations */
	vertical-align: top;
	min-height: 23px;
	font-weight: bold;
}

.sapUiPanelDis > .sapUiPanelHdr {
	color: @sapUiContentDisabledTextColor;
}

/* items inside the Panel header */
.sapUiPanelHdrItem,
.sapUiPanelHdrRightItem {
	display: block;
	box-sizing: border-box;
}

.sapUiPanelCollArrow,
.sapUiPanelCollIco {
	width: 16px;
	height: 16px;
	line-height: 14px;
	cursor: pointer;
	background-repeat: no-repeat;
	background-position: center center;
	text-decoration: none;
}

.sapUiPanelCollArrow {
	/* the 'collapse' icon on the left-hand side of the panel header */
	background-image: url(img/panel/expanded.gif);
}
.sapUiPanelColl .sapUiPanelCollArrow {
	background-image: url(img/panel/collapsed.gif);
}

.sapUiPanelCollIco {
	display: none;
}

.sapUiPanelIco {
	border: 0;
	margin: 0;
	padding: 0 8px 0 4px;
}

.sapUiPanelTitle {
	margin: 0; /* remove the H1 default style */
	padding: 0;
	font-size: 11px;
	-moz-box-flex: 1;
	-ms-box-flex: 1;
	-webkit-box-flex: 1;
	box-flex: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	margin-right: 10px;
	min-width: 30px; /* the minimum width is also set to 30px through JS calculations */
	white-space: nowrap;
}

.sapUiPanelTb {
	-moz-box-flex: 1000;
	-ms-box-flex: 1000;
	-webkit-box-flex: 1000;
	box-flex: 1000;
	min-width: 30px; /* the minimum width is also set to the width of the largest button through JS calculations */
	margin: 2px 10px 0 10px;
	white-space: normal;
}

.sapUiPanelTb.sapUiTbDesignFlat {
	background: none;
}

.sapUiPanelTb.sapUiTbDesignFlat > .sapUiBtn {
	margin: 0 2px 2px 0;
}

/* Panel content */
.sapUiPanelCont {
	border-top-style: solid;
	border-top-width: 1px;
	border-top-color: @sapUiMediumBorder;
	display: block;
	overflow: auto;
	box-sizing: border-box;
}

.sapUiPanelWithPadding > .sapUiPanelCont {
	padding: 6px;
}

.sapUiPanelHeightSet > .sapUiPanelCont {
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	top: 24px;
}

.sapUiPanelColl > .sapUiPanelCont {
	display: none;
}

/* IE only - because no FlexBoxLayout supported */

/* Feature detection is not used yet because we do not write the detected features to the DOM yet. Be assured it will come. */
html[data-sap-ui-browser*="ie"] .sapUiPanelHdr {
	white-space: nowrap;
	overflow: hidden;
	display: inline-block;
	position: relative;
}

html[data-sap-ui-browser*="ie"] .sapUiPanelHdrItem,
html[data-sap-ui-browser*="ie"] .sapUiPanelHdrRightItem {
	white-space: normal;
	display: inline-block;
	vertical-align: middle;
}

html[data-sap-ui-browser*="ie"] .sapUiPanelTitle {
	white-space: nowrap;
	height: 20px;
	line-height: 20px;
}

html[data-sap-ui-browser*="ie"] .sapUiPanelCollIco {
	position: absolute;
	top: 2px;
	right: 4px;
	display: none;
}

html[data-sap-ui-browser*="ie"] .sapUiPanelTb {
	right: 56px;
	min-width: 150px;
}

.sapUiPanelAreaDesignFill > .sapUiPanelCont {
	background-color: @sapUiExtraLightBG;
}

.sapUiPanelAreaDesignPlain > .sapUiPanelCont {
	background-color: @sapUiWhiteBG;
}

.sapUiPanel.sapUiPanelBorderDesignNone {
	border: none;
}
